Bug 1943310 - [SCALE] enable OVN DB memory trimming on compaction
Summary: [SCALE] enable OVN DB memory trimming on compaction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Tim Rozet
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1908774
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-25 18:58 UTC by Dan Williams
Modified: 2021-04-05 13:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1908774
Environment:
Last Closed: 2021-04-05 13:56:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 477 0 None open Bug 1943310: [4.7] Enable DB memory trimming on compaction 2021-03-25 18:59:33 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:54 UTC

Comment 3 zhaozhanqi 2021-03-30 08:31:26 UTC
@rbrattai Could you help check this bug since I saw you verified it on 4.8 version

Comment 4 Ross Brattain 2021-04-01 20:00:13 UTC
Verified on 4.7.0-0.nightly-2021-04-01-061355

observed "memory trimming after compaction enabled."  and "raft-log:" stat seems to decrease after compaction.

log_ovnkube-master-wh6r9_ip-10-0-214-116.compute.internal
83:2021-04-01T19:52:21Z|00007|ovsdb_server|INFO|memory trimming after compaction enabled.
91:2021-04-01T19:52:30Z|00014|memory|INFO|98732 kB peak resident set size after 10.4 seconds
92:2021-04-01T19:52:30Z|00015|memory|INFO|cells:4203 monitors:0 raft-connections:4 raft-log:4940
139:2021-04-01T19:52:21Z|00007|ovsdb_server|INFO|memory trimming after compaction enabled.
152:2021-04-01T19:52:30Z|00017|memory|INFO|44452 kB peak resident set size after 10.2 seconds
153:2021-04-01T19:52:30Z|00018|memory|INFO|cells:47595 monitors:0 raft-connections:4 raft-log:984

log_ovnkube-master-499bd_ip-10-0-160-74.compute.internal
97:2021-04-01T19:49:30Z|00009|ovsdb_server|INFO|memory trimming after compaction enabled.
102:2021-04-01T19:49:39Z|00014|memory|INFO|98040 kB peak resident set size after 10.5 seconds
103:2021-04-01T19:49:39Z|00015|memory|INFO|cells:4220 monitors:0 raft-connections:4 raft-log:4866
186:2021-04-01T19:56:51Z|00011|memory|INFO|48604 kB peak resident set size after 10.3 seconds
187:2021-04-01T19:56:51Z|00012|memory|INFO|cells:47229 monitors:0 raft-connections:4 raft-log:1112

log_ovnkube-master-srm8r_ip-10-0-155-115.compute.internal
109:2021-04-01T19:54:59Z|00013|memory|INFO|101240 kB peak resident set size after 10.2 seconds
110:2021-04-01T19:54:59Z|00014|memory|INFO|cells:4181 monitors:0 raft-connections:4 raft-log:5004
111:2021-04-01T19:54:59Z|00015|ovsdb_server|INFO|memory trimming after compaction enabled.
152:2021-04-01T19:54:59Z|00012|ovsdb_server|INFO|memory trimming after compaction enabled.
153:2021-04-01T19:55:01Z|00013|memory|INFO|46832 kB peak resident set size after 10.0 seconds
154:2021-04-01T19:55:01Z|00014|memory|INFO|cells:47351 monitors:1 raft-connections:4 raft-log:1090 sessions:1

Comment 6 errata-xmlrpc 2021-04-05 13:56:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005


Note You need to log in before you can comment on or make changes to this bug.